/*=========================================*/
/* 								 	      */
/* 									      */
/* 	Author:     Zane Yi				      */
/* 	Date:       2007.02.01			      */
/* 									      */
/*=========================================*/

#ifndef _ISUPDEBUG_H_
#define _ISUPDEBUG_H_

#include "inc.h"
#include "../../../debug/src/include/debug.h"

/*Color Set */
#define COL_WHITE   37
#define COL_RED     31
#define COL_YELLOW  33
#define COL_GREEN   32
#define COL_BLUE    34
#define COL_BROWN   35
#define COL_MEGEN   36
#define COL_GRAY    38
#define COL_HI_WHI  58
#define COL_HI_RED  39
#define COL_HI_YEL  52
#define COL_HI_GRE  51
#define COL_HI_BLU  53
#define COL_HI_BRO  54
#define COL_HI_MEG  55
#define COL_BLACK   30

#define COL_ESC   '\033'

int	isup_debug_init(void);
void isup_debug_timer(void);
void isup_log_err(u32 pid,const char *fmt, ...);
void isup_trace_func(u32 pid,const char *fmt, ...);
void monitor_isup_msg(u32 pid,BYTE *head, up_message *msg,BYTE col);
void isup_msg_csta(u8 msgtype,u8 flag);
void monitor_port_state(u32 cic_val,u32 port);
void test_isup_msg(u8 type, u8 flag);


#endif
